# Create a project

Source: https://docs.wabe.sh/api-reference/operations/createproject/

`POST https://api.wabe.sh/v1/projects`

## Authorization

Dashboard login JWT scoped to the organization.

## Request body

`application/json`

Example

```json
{
  "name": "My application"
}
```

Schema

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "description": "1–128 UTF-8 bytes after trimming, without control characters."
    }
  },
  "required": [
    "name"
  ],
  "additionalProperties": false
}
```

## Responses

### 201

Project created.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid",
      "example": "779742ad-cd09-4e1c-9170-f20968b344d4"
    },
    "name": {
      "type": "string"
    },
    "created_at": {
      "type": "string",
      "format": "date-time",
      "example": "2026-11-09T12:00:00Z"
    }
  },
  "required": [
    "id",
    "name",
    "created_at"
  ]
}
```

### 400

Invalid project name.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### 401

Missing or invalid dashboard login JWT.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### 409

Name already exists in the current organization.

`application/json`

Schema

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```
